Get team event statistics by integration
curl --request POST \
--url https://api.wirespeed.co/v1/team/statistics/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
'import requests
url = "https://api.wirespeed.co/v1/team/statistics/events"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>', days: 123})
};
fetch('https://api.wirespeed.co/v1/team/statistics/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalEvents": 123,
"totalBytes": 123,
"allTimeTotalEvents": 123,
"allTimeTotalBytes": 123,
"ocsfStatistics": [
{
"integration": {
"id": "<string>",
"enabled": true,
"teamId": "<string>",
"config": {
"name": "<string>",
"customFields": [
{
"slug": "<string>",
"display": "<string>",
"type": "<string>",
"required": true,
"description": "<string>",
"defaultValue": "<string>",
"validationPattern": "<string>",
"validationMinLength": 123,
"validationMaxLength": 123,
"source": "<string>",
"advancedOption": true,
"hidden": true,
"nonEditable": true,
"entitlementSlug": "<string>",
"authMethod": "<string>"
}
],
"logo": "<string>",
"beta": true,
"slug": "<string>",
"default": true,
"useCases": [],
"webhookActions": [
{
"slug": "<string>",
"display": "<string>",
"description": "<string>",
"useCases": [],
"showWebhookSecret": true,
"containmentRequirements": {}
}
],
"containmentActions": [
{
"slug": "<string>",
"display": "<string>",
"description": "<string>",
"useCases": [],
"showWebhookSecret": true,
"containmentRequirements": {}
}
],
"authMethods": [
{
"id": "<string>",
"displayName": "<string>",
"description": "<string>"
}
],
"oauthRequiresRedirect": true,
"requiresConfiguration": true,
"requiresWebhook": true,
"logoLight": "<string>",
"logoDark": "<string>",
"description": "<string>",
"internalCreds": true,
"docsUrl": "<string>",
"statusUrl": "<string>",
"rtfm": true,
"integrationTypes": [],
"singleInstallOnly": true,
"hideFromCatalog": true,
"comingSoon": true
},
"permissionsUpdateAvailable": true,
"permissionUpdateExplanation": "<string>",
"identityFields": {},
"createdAt": "<string>",
"publicEntitlements": [
{
"slug": "<string>",
"display": "<string>",
"value": true,
"dismissed": true,
"description": "<string>",
"warning": {
"when": true,
"message": "<string>"
}
}
],
"healthDetails": {
"errorCount": 123,
"warningCount": 123,
"lastCheckedAt": "<string>",
"lastStatusChangeAt": "<string>"
},
"sourceSystemUpdates": true,
"teamName": "<string>",
"requiresConfiguration": true,
"muteHourlyQuality": {},
"authMethod": "<string>"
},
"totalEvents": 123,
"totalBytes": 123
}
]
}{
"message": "<string>",
"statusCode": 123
}Team
Get team event statistics by integration
POST
/
v1
/
team
/
statistics
/
events
Get team event statistics by integration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Total number of events across all integrations
Total bytes of event data across all integrations
All-time total number of events across all integrations
All-time total bytes of event data across all integrations
OCSF event statistics by integration
Show child attributes
Show child attributes
⌘I

